Package org.apache.sling.rewriter.impl.components

## Class XHtmlSerializerFactory.XHTMLSerializer

- java.lang.Object
- - org.apache.cocoon.components.serializers.util.EncodingSerializer
  - - org.apache.cocoon.components.serializers.util.XMLSerializer
    - - org.apache.cocoon.components.serializers.util.XHTMLSerializer
      - - org.apache.sling.rewriter.impl.components.XHtmlSerializerFactory.XHTMLSerializer

All Implemented Interfaces:
  `Serializer`, `ContentHandler`, `LexicalHandler`, `Locator`

Enclosing class:
  XHtmlSerializerFactory

    public class XHtmlSerializerFactory.XHTMLSerializer
    extends org.apache.cocoon.components.serializers.util.XHTMLSerializer
    implements Serializer

A pedantic XHTML serializer encoding all recognized entities with their proper HTML names.

For configuration options of this serializer, please look at the `EncodingSerializer`, in addition to those, this serializer also support the specification of a default doctype. This default will be used if no document type is received in the SAX events.

The value mytype can be one of:

"`none`"
  Not to emit any dococument type declaration.
"`strict`"
  The XHTML 1.0 Strict document type.
"`loose`"
  The XHTML 1.0 Transitional document type.
"`frameset`"
  The XHTML 1.0 Frameset document type.

### Field Summary

### Fields inherited from class org.apache.cocoon.components.serializers.util.XHTMLSerializer

`doctype_default, encodeCharacters, XHTML1_DOCTYPE_FRAMESET, XHTML1_DOCTYPE_STRICT, XHTML1_DOCTYPE_TRANSITIONAL, XHTML1_NAMESPACE`

### Fields inherited from class org.apache.cocoon.components.serializers.util.XMLSerializer

`doctype`

### Fields inherited from class org.apache.cocoon.components.serializers.util.EncodingSerializer

`ATTRIBUTE_LENGTH, ATTRIBUTE_LOCAL, ATTRIBUTE_NSURI, ATTRIBUTE_QNAME, ATTRIBUTE_VALUE, charset, CONTENT_LIST_ATTRIBUTE, indentPerLevel, NAMESPACE, namespaces, request`

### Constructor Summary

Constructors
`XHTMLSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Dispose the serializer.
`void` `init​(ProcessingContext context, ProcessingComponentConfiguration config)` Initialize this component.

### Methods inherited from class org.apache.cocoon.components.serializers.util.XHTMLSerializer

`body, encode, endElementImpl, getMimeType, head, isCdataElement, setDoctypeDefault, setOmitXmlDeclaration, startElementImpl`

### Methods inherited from class org.apache.cocoon.components.serializers.util.XMLSerializer

`charactersImpl, closeElement, comment, endCDATA, endDocument, endDTD, endEntity, ignorableWhitespace, processingInstruction, recycle, skippedEntity, startCDATA, startDocument, startDTD, startEntity`

### Methods inherited from class org.apache.cocoon.components.serializers.util.EncodingSerializer

`characters, encode, encode, endElement, endPrefixMapping, flush, getColumnNumber, getLineNumber, getLocation, getPublicId, getSystemId, include, setDocumentLocator, setEncoding, setIndentPerLevel, setOutputStream, setup, startElement, startPrefixMapping, write, write, write, write, write, writeIndent, writeln, writeln`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

### Constructor Detail

#### XHTMLSerializer

    public XHTMLSerializer()

### Method Detail

#### init

    public void init​(ProcessingContext context,
                     ProcessingComponentConfiguration config)
              throws IOException

Description copied from interface: `Serializer`
Initialize this component.

Specified by:
  `init` in interface `Serializer`
Parameters:
  `context` - The invocation context.
  `config` - The configuration for this component.
Throws:
  `IOException` - in case of problems
See Also:
  `Serializer.init(org.apache.sling.rewriter.ProcessingContext, org.apache.sling.rewriter.ProcessingComponentConfiguration)`

#### dispose

    public void dispose()

Description copied from interface: `Serializer`
Dispose the serializer. This method is always invoked by the rewriter in order to allow the serializer to release any resources etc. After this method has been called the instance is considered unusable.

Specified by:
  `dispose` in interface `Serializer`
See Also:
  `Serializer.dispose()`